// class to allow all functionalites of an account (such as deposit and
// withdrawal, plus allow for two owners.
// written by Scott McElfresh


public class JointAccount extends Account
{
   private String mysecondOwner;
   
   //************
   public JointAccount(String owner, int number, double deposit, String owner2)
   {
      setNumber(number);
      setBalance(deposit);
      setOwner(owner);
      mysecondOwner = owner2;
   }

   //******
   // display the info on the account
   public void display()
   {
     System.out.println("Owner: " + getOwner());
     System.out.println("Account #: " + getNumber());
     System.out.println("Balance: " + getBalance());
     System.out.println("Second Owner: " + mysecondOwner);
   }
   
   //******
   // return the second owner
   public String getSecondOwner()
   {
      return mysecondOwner;
   }

}